<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');

if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='24' and usuario_usu_id='$usu_id' ") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
        if ($aper_num>'0')
        {
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include ('head.php');?>
<script>
   function miFuncion() {
       load(1);
       cargar();
    }
</script>
</head>
<body onload="miFuncion();">
<?php
include('menu_pos.php'); 
?>
<div class="main" id="inicio" style="padding-top:5px;">
     <div class="col-lg-8 col-md-8 col-sm-8 col-xs-12" >
        <div class="widget stacked">
            <div class="widget-header"> </div>
            <div class="widget-content">
                <form name="barras" id="barras" method="post" >
                    <div class="input-group">
                        <input autofocus type="text" class="form-control " id="art_barras" placeholder="Codigo de barras" autocomplete="off" accesskey="w" title="alt + w">
                        <span class="input-group-btn">
                        <button href="#myModal" class="btn btn-primary" data-toggle="modal" type="button" accesskey="a" title="alt + a"><i class="btn-icon-only icon-plus"></i> Agregar Articulos </button></span>
                    </div>
                </form> 

                </br>
                <div id="carga"></div>
                <div id="tabla"></div>
                <div id="texto"></div>
            </div>
        </div> </br> 
    </div>

    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12" >
            <div class="widget stacked">
                <div class="widget-header"></div>
                <div class="widget-content">
                    <div class="">
                        <div id="cliente"></div>
                    </div> <!-- /.form-group -->
                </div>
            </div> 
            <div class="widget stacked">
                <div class="widget-header"> </div>
                <div class="widget-content" >
                    <div id="total"></div>
                    <div id="botones"></div>
                </div>
            </div> 
            </br> </br>  
    </div>
    </br>
</div> 
<div class="modal fade" id="Informacion-Modal" tabindex="10000" role="dialog" style="z-index: 20000" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" >
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">INFORMACION</h4>
            </div>
            <div class="modal-body">
                <div id="form-informacion"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->  

<div class="modal fade" id="n_serial" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index:200000;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Nuevo Serial</h4>
            </div>
            <div class="modal-body">
                <div id="form-n_serial"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal --> 
<div class="modal fade" id="reg_ser_tabla" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Seriales</h4>
            </div>
            <div class="modal-body">
                <div id="form-tabla_serial"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->    
<div class="modal fade" id="serModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Agregar Seriales</h4>
            </div>
            <div class="modal-body">
                <div id="form-ser"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal --> 

<div class="modal fade " id="detalles" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Detalle de Venta en Espera</h4>
            </div>
            <div class="modal-body">
                <div id="form-detalle"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->  
<div class="modal fade" id="modal_agregar_lote" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true" style="z-index: 1px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Agregar lotes</h4>
            </div>
            <div class="modal-body">
                <div id="lotes"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->



<?php
include('php_buscador/buscador.php');
include('php_buscador/buscador_cliente.php');
include('php_facturar/form_atajos.php');
include('php_facturar/form_cancelar.php');
include('script.php');
?>
<script type="text/javascript">
$(document).ready(function(){
  load(1);
});

function load(page){
    var tipo=  document.querySelector('input[name="tipo"]:checked').value
    var tarifa= $("#tarifa").val();
    var q= $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_venta.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo+'&tarifa='+tarifa,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
    })
}

function loadTabla()
{
    $('#editModal').modal('hide');
    $.get("./php_facturar/tabla_articulos.php","",function(data){
    $("#tabla").html(data);
    })
}
loadTabla();

function loadtexto()
{
    $.get("./php_facturar/tabla_texto.php","",function(data){
    $("#texto").html(data);
    })
}
loadtexto();

function loadcliente()
{
    $('#editModal').modal('hide');
    $.get("./php_facturar/tabla_cliente.php","",function(data)
    {
      $("#cliente").html(data);
    })
}
loadcliente();

function loadtotal()
  {
    $('#editModal').modal('hide');
    $.get("./php_facturar/tabla_total.php","",function(data)
    {
      $("#total").html(data);
    })
  }
loadtotal();

function loadbotones()
  {
    $('#editModal').modal('hide');
    $.get("./php_facturar/botones.php","",function(data)
    {
      $("#botones").html(data);
    })
  }
loadbotones();


$("#barras").submit(function( event ) {
var art_barras=document.getElementById('art_barras').value;
$.ajax({
    type: "POST",
    url: "php_facturar/agregar_articulo_barras.php",
    data: "art_barras="+art_barras,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#tabla").html(datos);
        // loadTabla();
        loadtotal();
        loadbotones();
        }
    });
    event.preventDefault();
})


function agregarcombo (com_id)
{
    var com_id=document.getElementById('com_id'+com_id).value;
    var combo_referencia=document.getElementById('combo_referencia'+com_id).value;
    var cantidad=document.getElementById('cantidad'+com_id).value;
    var combo_iva=document.getElementById('iva'+com_id).value;
    var descuento=document.getElementById('descuento'+com_id).value;
    var nombre=document.getElementById('nombre_combo'+com_id).value;
    var precio_venta=document.getElementById('precio_venta'+com_id).value;

    $.ajax({
    type: "POST",
    url: "./php_facturar/agregar_combo.php",
    data: "com_id="+com_id+"&combo_referencia="+combo_referencia+"&cantidad="+cantidad+"&combo_iva="+combo_iva+"&descuento="+descuento+"&nombre="+nombre+"&precio_venta="+precio_venta,

    beforeSend: function(objeto){
     $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#tabla").html(datos);
    // loadTabla();
    loadtotal();
    loadbotones();
    }
    });
}



function agregar_articulo (art_art_id)
{
    var bajo_cero=document.getElementById('bajo_cero').value;
    var art_art_id=document.getElementById('art_art_id'+art_art_id).value;
    var art_id=document.getElementById('art_id'+art_art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_art_id).value;
    var nombre=document.getElementById('nombre'+art_art_id).value;
    var cantidadexistente=document.getElementById('cantidad_existente'+art_art_id).value;
    var art_iva=document.getElementById('art_iva'+art_art_id).value;
    var cantidad=document.getElementById('cantidad'+art_art_id).value;
    var descuento=document.getElementById('descuento'+art_art_id).value;
    var precio_costo=document.getElementById('precio_costo'+art_art_id).value;
    var precio_venta=document.getElementById('precio_venta'+art_art_id).value;
    var vent_tipo='articulo';

    //Inicia validacion
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_art_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_art_id).focus();
        return false;
    }
     if (parseInt(precio_venta)<=0)
    {
        alert('El precio no puede ser 0');
        document.getElementById('precio_venta'+art_art_id).focus();
        return false;
    }

    if (parseInt(precio_venta)<parseInt(precio_costo))
    {
        alert('Esta facturando por debajo del precio de compra!');
        document.getElementById('precio_venta'+art_art_id).focus();
       // return false;
    }

    if (parseInt(cantidadexistente) < parseInt(cantidad))
    {
        if(bajo_cero=='No')
        {
            alert('No se Facturar por debajo de la cantidad existente en bodega !');
            document.getElementById('cantidad'+art_art_id).focus();
            return false;
        }
        else
        {
            alert('Esta facturando por debajo de la cantidad existente en bodega !');
            document.getElementById('cantidad'+art_art_id).focus();
            $.ajax(
            {
                type: "POST",
                url: "./php_facturar/agregar_articulo.php",
                data: "&art_art_id="+art_art_id+"&art_id="+art_id+"&art_referencia="+art_referencia+"&nombre="+nombre+"&art_iva="+art_iva+"&cantidad="+cantidad+"&descuento="+descuento+"&precio_venta="+precio_venta+"&vent_tipo="+vent_tipo,

                beforeSend: function(objeto)
                {
                    $("#tabla").html("Mensaje: Cargando...");
                },
                success: function(datos)
                {
                    $("#tabla").html(datos);
                    loadtotal();
                    loadTabla();  
                    loadbotones(); 
                    <?php if ($limpiar_buscador=='si'){?>
                    limpiar_buscador();
                    <?php } ?>
                }
            });
        }
    }
    else
    {
        $.ajax(
        {
            type: "POST",
            url: "./php_facturar/agregar_articulo.php",
            data: "&art_art_id="+art_art_id+"&art_id="+art_id+"&art_referencia="+art_referencia+"&nombre="+nombre+"&art_iva="+art_iva+"&cantidad="+cantidad+"&descuento="+descuento+"&precio_venta="+precio_venta+"&vent_tipo="+vent_tipo,

            beforeSend: function(objeto)
            {
                $("#tabla").html("Mensaje: Cargando...");
            },
            success: function(datos)
            {
                $("#tabla").html(datos);
                loadtotal();
                loadTabla();  
                loadbotones(); 
                <?php if ($limpiar_buscador=='si'){?>
                limpiar_buscador();
                <?php } ?>
            }
        });
    }
}





function agregar_detallado (artd_id)
{
    var bajo_cero=document.getElementById('bajo_cero').value;
    var art_id=document.getElementById('art_id'+artd_id).value;
    var art_referencia=document.getElementById('artd_referencia'+artd_id).value;
    var nombre=document.getElementById('nombre'+artd_id).value;
    var cantidadexistente=document.getElementById('cantidadexistente'+artd_id).value;
    var cantidad=document.getElementById('cantidad'+artd_id).value;
    var descuento=document.getElementById('descuento'+artd_id).value;
    var precio_costo=document.getElementById('precio_costo'+artd_id).value;
    var art_iva=document.getElementById('artd_iva'+artd_id).value;
    var precio_venta=document.getElementById('precio_venta'+artd_id).value;

    //Inicia validacion
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+artd_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+artd_id).focus();
        return false;
    }
    //Fin validacion
    if(bajo_cero=='Si')
    {
        if (parseInt(cantidadexistente) < parseInt(cantidad))
        {
            alert('Esta facturando por debajo de la cantidad existente en bodega !');
            document.getElementById('cantidad'+artd_id).focus();
        }
        if(parseInt(precio_venta)<parseInt(precio_costo))
        {
            alert('Esta facturando por debajo del precio de compra!');
        }
        $.ajax(
        {
            type: "POST",
            url: "./php_facturar/agregar_detallado.php",
            data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id,
            beforeSend: function(objeto)
            {
                $("#tabla").html("Mensaje: Cargando...");
            },
            success: function(datos)
            {
                $("#tabla").html(datos);
                loadtotal();
                loadTabla();  
                loadbotones();      
            }
        });
    }
    else 
    {
        if (parseInt(cantidadexistente) < parseInt(cantidad))
        {
            alert('No se Facturar por debajo de la cantidad existente en bodega !');
            document.getElementById('cantidad'+artd_id).focus();
            return false;
        }
        if(parseInt(precio_venta)<parseInt(precio_costo))
        {
            alert('Esta facturando por debajo del precio de compra!');
        }
        $.ajax(
        {
            type: "POST",
            url: "./php_facturar/agregar_detallado.php",
            data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id,
            beforeSend: function(objeto)
            {
              $("#tabla").html("Mensaje: Cargando...");
            },
            success: function(datos)
            {
                $("#tabla").html(datos);
                loadtotal();
                loadTabla(); 
                loadbotones();      
            }
        });
    }    
}




function agregar_producto (art_id)
{       

    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var nombre=document.getElementById('nombre'+art_id).value;
    var cantidadexistente=document.getElementById('cantidadexistente'+art_id).value;
    var art_iva=document.getElementById('art_iva'+art_id).value;
    var cantidad=document.getElementById('cantidad'+art_id).value;
    var descuento=document.getElementById('descuento'+art_id).value; 
    var precio_costo=document.getElementById('precio_costo'+art_id).value;
    var precio_venta=document.getElementById('precio_venta'+art_id).value;
    var vent_tipo=document.getElementById('tipo'+art_id).value;

    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_id).focus();
        return false;
    }
     
          
    $.ajax({
        type: "POST",
        url: "./php_facturar/agregar_producto.php",
        data: "art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&vent_tipo="+vent_tipo,
        beforeSend: function(objeto)
        {
            $("#tabla").html("Mensaje: Cargando...");
        },
        success: function(datos)
        {
            $("#tabla").html(datos);
            loadtotal();
            // loadTabla(); 
            loadbotones(); 
            <?php if ($limpiar_buscador=='si'){?>
            limpiar_buscador();
            <?php } ?>
        }
    });
}

</script>

</body>
</html>
<?php
          }
          else
          {
               echo '<script>alert("primero debes Abrir caja")</script>';
               echo '<script>location.href = "index.php";</script>';
          }
     }
     else
     {
          echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
          echo '<script> setTimeout("history.back(1)", 0); </script>';
     }
} 
else
{
    echo '<script>alert("primero debes Iniciar Cesion para ver esta pagina")</script>';
    echo '<script>location.href = "index.php";</script>';
}
?>